RTADefaultInputMap
Date: 2017-02-11

org.fife.ui.rtextarea

## Class RTADefaultInputMap

- java.lang.Object
- - javax.swing.InputMap
  - - org.fife.ui.rtextarea.RTADefaultInputMap

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    RSyntaxTextAreaDefaultInputMap

      public class RTADefaultInputMap
      extends javax.swing.InputMap

  The default input map for an `RTextArea`. For the most part it is exactly that the one for a `JTextArea`, but it adds a few things. Currently, the new key bindings include:
  - HOME key toggles between first character on line and first non- whitespace character on line.
  - INSERT key toggles between insert and overwrite modes.
  - Ctrl+DELETE key deletes all text between the caret and the end of the current line.
  - Ctrl+Shift+Up and Ctrl+Shift+Down move the current line up and down, respectively.
  - Ctrl+J joins lines.
  - Ctrl+Z is undo and Ctrl+Y is redo.
  - Ctrl+Up and Ctrl+Down shift the visible area of the text area up and down one line, respectively.
  - F2 and Shift+F2 moves to the next and previous bookmarks, respectively.
  - Ctrl+F2 toggles whether a bookmark is on the current line.
  - etc.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RTADefaultInputMap()` Constructs the default input map for an `RTextArea`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static int` | `getDefaultModifier()` Returns the default modifier key for a system.

    - ### Methods inherited from class javax.swing.InputMap

      `allKeys, clear, get, getParent, keys, put, remove, setParent, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RTADefaultInputMap

          public RTADefaultInputMap()

      Constructs the default input map for an `RTextArea`.

  - ### Method Detail

    - #### getDefaultModifier

          protected static final int getDefaultModifier()

      Returns the default modifier key for a system. For example, on Windows this would be the CTRL key (`InputEvent.CTRL_MASK`).
      Returns:
        The default modifier key.